Skip to navigation

List Connections

Get a paginated list of all connections accessible to your organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

tsp_idstring or nullOptionalformat: "uuid"
fleet_idslist of strings or nullOptional

Limit results to specific fleets. Maximum: 100 IDs. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).

fleet_refslist of strings or nullOptional

Limit results to specific fleet references. Maximum: 100 references. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

cursorstring or nullOptional
Cursor for the next page
sizeintegerOptional1-1000Defaults to 300
Page size

Response

Successful Response
itemslist of objects
totalinteger>=0
current_pagestring or nullOptional
Cursor to refetch the current page
current_page_backwardsstring or nullOptional
Cursor to refetch the current page starting from the last item
previous_pagestring or nullOptional
Cursor for the previous page
next_pagestring or nullOptional
Cursor for the next page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error